Bug 95952

Summary: New tests introduced in r127704 fail
Product: WebKit Reporter: Kristóf Kosztyó <kkristof>
Component: Tools / TestsAssignee: Adam Barth <abarth>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, eric, gyuyoung.kim, kadam, kkristof, mikhail.pozdnyakov, ossy, rakuco, szledan, tony, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 87008, 91110    
Attachments:
Description Flags
Patch
none
Patch
none
Unskipping last tests none

Description Kristóf Kosztyó 2012-09-06 01:58:57 PDT
These tests fail on Qt and the Efl bot.

fast/viewport/viewport-limits-adjusted-for-no-user-scale-control.html

--- /ramdisk/qt-linux-64-release/build/layout-test-results/fast/viewport/viewport-limits-adjusted-for-no-user-scale-control-expected.txt 
+++ /ramdisk/qt-linux-64-release/build/layout-test-results/fast/viewport/viewport-limits-adjusted-for-no-user-scale-control-actual.txt 
@@ -1,2 +1,5 @@
-ALERT: PASS
-
+layer at (0,0) size 800x600
+  RenderView at (0,0) size 800x600
+layer at (0,0) size 800x600
+  RenderBlock {HTML} at (0,0) size 800x600
+    RenderBody {BODY} at (8,8) size 784x584

fast/viewport/viewport-limits-adjusted-for-no-user-scale.html

--- /ramdisk/qt-linux-64-release/build/layout-test-results/fast/viewport/viewport-limits-adjusted-for-no-user-scale-expected.txt 
+++ /ramdisk/qt-linux-64-release/build/layout-test-results/fast/viewport/viewport-limits-adjusted-for-no-user-scale-actual.txt 
@@ -1,2 +1,5 @@
-ALERT: PASS
-
+layer at (0,0) size 800x600
+  RenderView at (0,0) size 800x600
+layer at (0,0) size 800x600
+  RenderBlock {HTML} at (0,0) size 800x600
+    RenderBody {BODY} at (8,8) size 784x584
Comment 1 Kristóf Kosztyó 2012-09-06 02:06:18 PDT
I skipped them on Qt in the r127709 <http://trac.webkit.org/changeset/127709> to paint the bots green.
Comment 2 Ádám Kallai 2012-09-06 02:07:12 PDT
Are these results correct? Could you check it, please?
Comment 3 Kristóf Kosztyó 2012-09-06 02:10:55 PDT
Also fail on Gtk
Comment 4 Mikhail Pozdnyakov 2012-09-06 03:18:51 PDT
Also fails on EFL
Comment 5 Adam Barth 2012-09-06 09:09:33 PDT
Thanks.  Will investigate.
Comment 6 Adam Barth 2012-09-06 10:37:19 PDT
Will look.  It's strange that they're getting render tree dumps and not text dumps.
Comment 7 Adam Barth 2012-09-06 12:33:40 PDT
Created attachment 162556 [details]
Patch
Comment 8 Adam Barth 2012-09-06 12:36:07 PDT
Created attachment 162557 [details]
Patch
Comment 9 mitz 2012-09-06 12:52:30 PDT
Comment on attachment 162557 [details]
Patch

Thanks!
Comment 10 WebKit Review Bot 2012-09-06 16:40:33 PDT
Comment on attachment 162557 [details]
Patch

Clearing flags on attachment: 162557

Committed r127798: <http://trac.webkit.org/changeset/127798>
Comment 11 WebKit Review Bot 2012-09-06 16:40:37 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Tullio Lucena 2012-10-04 11:32:34 PDT
Created attachment 167145 [details]
Unskipping last tests
Comment 13 Csaba Osztrogonác 2012-10-09 05:59:42 PDT
(In reply to comment #12)
> Created an attachment (id=167145) [details]
> Unskipping last tests

unskipped by https://trac.webkit.org/changeset/130752

But please don't upload new patched to a closed bug,
because nobody will notice about it.